%define name cdrecord
%define archname cdrtools

%define release 0.a28.3.100mdk
%define dversion 2.01a28
%define version 2.01
%define prefix /usr
%define mkisofs_ver 2.01
%define mkisofs_rel %release

%define build_vanilla 0
%{?_with_vanilla: %define build_vanilla 1}

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Epoch: 4
Summary: A command line CD/DVD-Recorder
Group: Archiving/Cd burning
Icon: cdrecord-logo.xpm
URL: http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Source: ftp://ftp.berlios.de/pub/cdrecord/%{archname}-%{dversion}.tar.bz2
# http://www.abcpages.com/~mache/cdrecord-dvd.html
#Patch1: cdrtools-2.0-O_EXCL.patch.bz2
Patch0: cdrtools-2.01a28-o_excl.patch.bz2
Patch1: cdrtools-2.01-moredev.patch.bz2
Patch2: cdrtools-2.01a27-writemode.patch.bz2
Patch3: cdrtools-2.01a27-dvd.patch.bz2
Patch4: cdrecord-2.01-CAN-2004-0806.patch.bz2
Patch5: cdrtools-security.patch
BuildRoot: %{_tmppath}/%{name}-%{dversion}-buildroot
Prefix: %{prefix}
Requires: mkisofs
Prereq: /usr/sbin/groupadd rpm-helper
Obsoletes: cdrecord-dvdhack =< 4:2.01-0.a15.2mdk
Provides: cdrecord-dvdhack = %{epoch}:%{version}-%{release}

%package devel
Summary: The libschily SCSI user level transport library
Group: Development/C

%package cdda2wav
Summary: CD-Audio to .wav converter
Group: Sound
Icon: cdda2wav-logo.xpm
Prereq: rpm-helper

%package -n mkisofs
Version: %{mkisofs_ver}
Release: %{mkisofs_rel}
Epoch: 1
Group: Archiving/Cd burning
Icon: mkisofs-logo.xpm
Summary: Creates an image of an ISO9660 filesystem.

%description
Cdrecord allows you to create CDs on a CD-Recorder (SCSI/ATAPI).
Supports data, audio, mixed, multi-session and CD+ discs etc.

%description devel
The cdrecord distribution contains a SCSI user level transport
library.  The SCSI library is suitable to talk to any SCSI device
without having a special driver for it.

Cdrecord may be easily ported to any system that has a SCSI device
driver similar to the scg driver.

%description cdda2wav
cdda2wav reads audio CDs, outputting a wav file.

%description -n mkisofs
This is the mkisofs package.  It is used to create ISO 9660
file system images for creating CD-ROMs. Now includes support
for making bootable "El Torito" CD-ROMs.

%if %build_vanilla
%package vanilla
Group: Archiving/Cd burning
Summary: Vanilla version of cdrecord
Requires: cdrecord

%description vanilla
Vanilla version without DVD patch.
%endif


%prep

%setup -q -n %{archname}-%{version}
%patch0 -p1 -z .o_excl
%patch1 -p1 -z .moredev
%patch2 -p1 -z .writemode
%patch3 -p1 -z .dvd
%patch4 -p1 -z .can-2004-0806
%patch5 -p1 -z .security

%build
ln -sf i586-linux-cc.rul RULES/ia64-linux-cc.rul
ln -sf i586-linux-cc.rul RULES/x86_64-linux-cc.rul
ln -sf i586-linux-cc.rul RULES/amd64-linux-cc.rul
ln -sf i686-linux-cc.rul RULES/athlon-linux-cc.rulf 

perl -pi -e 's,/usr/src/linux/include,/usr/include/,' DEFAULTS/Defaults.linux

perl -pi -e "s/^XK_ARCH:=.*/XK_ARCH:=   %{_target_cpu}/" RULES/mk-gmake.id
./Gmake

%if %build_vanilla
mv cdrecord/OBJ/i686-linux-cc/cdrecord cdrecord/OBJ/i686-linux-cc/cdrecord-dvd
bzcat %{PATCH0} | patch -p1 -R
./Gmake
mv cdrecord/OBJ/i686-linux-cc/cdrecord cdrecord/OBJ/i686-linux-cc/cdrecord-vanilla
mv cdrecord/OBJ/i686-linux-cc/cdrecord-dvd cdrecord/OBJ/i686-linux-cc/cdrecord
%endif

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

./Gmake "INS_BASE=$RPM_BUILD_ROOT/%{prefix}" install MANDIR=share/man

install -m 755 cdda2wav/cdda2{mp3,ogg} $RPM_BUILD_ROOT%{_bindir}/

# Move libraries to the right directories
[[ "%_lib" != "lib" ]] && \
mv $RPM_BUILD_ROOT%{_prefix}/lib $RPM_BUILD_ROOT%{_libdir}/

%if %build_vanilla
install -m 755 cdrecord/OBJ/i686-linux-cc/cdrecord-vanilla $RPM_BUILD_ROOT%{_bindir}/
%endif

%pre
%_pre_groupadd cdwriter

%postun
%_postun_groupdel cdwriter

%pre cdda2wav
%_pre_groupadd cdwriter

%postun cdda2wav
%_postun_groupdel cdwriter

%clean
rm -rf $RPM_BUILD_ROOT

%if %build_vanilla
%files vanilla
%attr(6755,root,cdwriter) %{_bindir}/cdrecord-vanilla
%endif

%files
%attr(-,root,root) %doc AN-%{dversion} doc/cdrecord.ps doc/isoinfo.ps Changelog README*
%attr(6755,root,cdwriter) %{_bindir}/cdrecord
%attr(755,root,cdwriter) %{_bindir}/devdump
%attr(755,root,cdwriter) %{_bindir}/isodump
%attr(755,root,cdwriter) %{_bindir}/isodebug
%attr(755,root,cdwriter) %{_bindir}/isoinfo
%attr(755,root,cdwriter) %{_bindir}/isovfy
%attr(755,root,cdwriter) %{_bindir}/scgcheck
%attr(6755,root,cdwriter) %{_bindir}/readcd
%attr(755,root,cdwriter) %{_sbindir}/rscsi
%attr(644,root,root) %{_mandir}/man1/cdrecord.1*
%attr(644,root,root) %{_mandir}/man1/readcd.1*
%attr(644,root,root) %{_mandir}/man1/scgcheck.1*
%attr(644,root,root) %{_mandir}/man8/isoinfo.8*
%attr(644,root,root) %{_mandir}/man5/makefiles.5*
%attr(644,root,root) %{_mandir}/man5/makerules.5.*

%files cdda2wav
%defattr(-,root,root)
%doc doc/cdda2wav.ps cdda2wav/FAQ cdda2wav/README cdda2wav/GPL Changelog
%attr(755,root,cdwriter) %{_bindir}/cdda2wav
%attr(755,root,root) %{_bindir}/cdda2mp3
%attr(755,root,root) %{_bindir}/cdda2ogg
%attr(644,root,root) %{_mandir}/man1/cdda2wav.1*
%attr(644,root,root) %{_mandir}/man1/cdda2ogg.1*

%files devel
%defattr(-,root,root)
%doc AN-*
%attr(644,root,root) %{_libdir}/*.a
%attr(644,root,root) %{_includedir}/*.h

%files -n mkisofs
%defattr(-,root,root)
%doc mkisofs/COPYING mkisofs/ChangeLog README mkisofs/TODO mkisofs/README.*
%doc doc/mkisofs.ps
%{_bindir}/mkisofs
%{_bindir}/mkhybrid
%attr(644,root,root) %{_mandir}/man8/mkisofs.8*
%attr(644,root,root) %{_mandir}/man8/mkhybrid.8*

%changelog
* Wed Apr 20 2005 Vincent Danen <vdanen@mandriva.com> 4:2.01-0.a28.2.3.100mdk
- security fix for debian bug #291376

* Thu Sep 02 2004 Vincent Danen <vdanen@mandrakesoft.com> 4:2.01-0.a28.2.1.100mdk
- security fix for CAN-2004-0806

* Thu Apr 22 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a28.1mdk
- new versiom

* Thu Apr 22 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a27.3mdk
- fix a type in command line parsing (thanks to Stephen Beahm)

* Thu Mar 11 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a27.1mdk
- a27 (fix an misdetection in burning mode)
- get inspiration from RedHat patch to open with E_EXCL to lock the device and 
  prevent some broken burners to interupt the burning when magicdev, for example, poll
  the device.

* Thu Mar  4 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a26.3mdk
- fix burning speed multiplier for DVD

* Thu Mar  4 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a26.2mdk
- fix bad dvd extension added to wrong place
- does not display the burning mode warning

* Tue Mar  2 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a26.1mdk
- new version

* Tue Mar 02 2004 Warly <warly@mandrakesoft.com> 2.01-0.a25.5mdk
- fix DVD+RW formating

* Mon Mar  1 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a25.4mdk
- Does not display ATA bus devices if dev= is passed with scanbus (needed by xcdroast DVD patch)

* Thu Feb 26 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a25.3mdk
- fix DVD+R detection on some burner
- add -dvd in version

* Mon Feb 23 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a25.2mdk
- remove a get_configuration which was disabling DMA on some burner on a CJ Kucera suggestion
- default to ATA probing in scanbus if no SCSI devices found

* Thu Jan 22 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a25.1mdk
- new version
- use glibc kernel headers

* Mon Dec 15 2003 Warly <warly@mandrakesoft.com> 4:2.01-0.a20.2mdk
- fix format syntax problem in command line

* Thu Dec 11 2003 Warly <warly@mandrakesoft.com> 4:2.01-0.a20.1mdk
- new version
- DVD+R(W) patch

* Fri Nov  7 2003 Warly <warly@mandrakesoft.com> 4:2.01-0.a19.1mdk
- new version

* Thu Aug 14 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.01-0.a18.2mdk
- Clean-up never used bits, older code is available in CVS ;-)
- Remove arch-fix, i.86-linux-* are linked altogether to i586-linux-*

* Mon Aug 11 2003 Warly <warly@mandrakesoft.com> 4:2.01-0.a18.1mdk
- new version
  Rscsi:
    -   Security update. Forbid to write arbitrary debug files, only allow
        a debug file name that has been configured in /etc/default/rscsi.
        Writing arbitrary files with a siud root program could be used to become
        root on a local machine if you are already logged into that local machine.


* Mon Jun 23 2003 Warly <warly@mandrakesoft.com> 4:2.01-0.a16.1mdk
- new version (main changes):
  Readcd:
    -	New option fs=# (same syntax as with cdrecord fs=#) to allw the
	user to set the maximum transfer size even in non-interactive mode.
	This may help is the OS (as it has been the case for Solaris 9 x86)
	reports a wrong maximum DMA size or there is a bug in libscg.
    -	Speed printing with meshpoints=# now is based on 1000 bytes == 1 kb
	as documented in the SCSI standard.
    -	New option -factor will cause the read speed values to be printed
	be based on the single speed of the current medium. This is only
	possible if readcd is able to find out the current medium type.

* Mon Jun 23 2003 Warly <warly@mandrakesoft.com> 4:2.01-0.a15.6mdk
- Better note phrasing (thanks to Michael Bushey)
- Try to display better error message when DVD image is too big.

* Thu Jun 19 2003 Warly <warly@mandrakesoft.com> 4:2.01-0.a15.5mdk
- add "-dvd" in version so that k3b knows it is a DVD capable cdrecord

* Mon Jun 16 2003 Warly <warly@mandrakesoft.com> 4:2.01-0.a15.4mdk
- add "Note:" in front of each line to show that it is an unofficial 
  version in order to have a easier parsing in xcdroast
- improve the DVD patch not to have any interaction with CD recording 
  (fix this packet writing setting with an quite ugly workarroud)

* Mon Jun 16 2003 Warly <warly@mandrakesoft.com> 4:2.01-0.a15.3mdk
- merge DVD code into standard cdrecord

* Fri Jun 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.01-0.a15.2mdk
- increase epoch to permit upload for all arch (warly sucks)

* Mon Jun  2 2003 Warly <warly@mandrakesoft.com> 2.01-0.a15.1mdk
- new version (main changes):
  Libscg: 
   - Fixed another printf buffer vulnerability in scsi-remote.c
  Cdrecord:
   - Restructured the main program of cdrecord so that cdrecord overall
     behaves smilar to before when cue sheets are used.
     e.g. cdrecord -eject cuefile=xxx did only eject the disk instead of
     first writing and then ejecting.
   - CD-Text handling reworked:

* Fri May 30 2003 Warly <warly@mandrakesoft.com> 2.01-0.a14.2mdk
- try to fix dvd patch

* Thu May 15 2003 Warly <warly@mandrakesoft.com> 2.01-0.a14.1mdk
- new version (main changes):
Mkisofs (By Jrg Schilling and James Pearson j.pearson@ge.ucl.ac.uk):
-	New options -XA & -xa
	-XA	Generate XA iso-directory attributes with original owner and mode information.
	-xa	Generate XA iso-directory attributes with rationalized owner and mode information (user/group == 0).
-	Try to support files >= 2 GB.
Cdrecord:
-	Fixed a bug that caused cdrecord not to abort if Tracks with unknown length are present in RAW write mode.
-	Track parsing completely restructured to allow new features. One of the features is to write audio CDs from a pipe,
-	Cdrecord now resets euid to the uid of the caller (if called suid root) before it opens data files.
-	Allow cdrecord to copy audio CDs from a pipe from cdda2wav without using an intermediate file on disk.
       To copy an audio CD  from  a  pipe  (without  intermediate
       files), first run
           cdda2wav dev=1,0 -vall cddb=0 -info-only
       and then run
           cdda2wav dev=1,0 -no-infofile -B -Oraw - | cdrecord dev=2,0 -v -dao -audio -useinfo -text *.inf
-	New option -abort allows you to send a write abort sequence to a drive.
-	New 'xio' module allows to open a file virtually more than once to
	support CDRWIN CUE sheets in cdrecord.

* Thu Apr 10 2003 Warly <warly@mandrakesoft.com> 2.1-0.a09.1mdk
- new version (main changes):
Rscsi: Support for IPv6
Mkisofs:
  -	Second attempt to support ISO-9660:1999 (Version 2) via -iso-level 4
  -	isoinfo is now able to recognise ISO-9660:1999 
  -	Abort with a warning message if the total size of the image data
	created by mkisofs would differ from the size printed by -print-size
  -	UDF now uses the same 'now' timestamp as the ISO-9660 part of the FS.
  -	New Stream File feature and new options: -stream-file-name and 	-stream-media-size
	star -c . | mkisofs -stream-media-size 333000 | cdrecord dev=b,t,l -dao tsize=333000s -
  -	The final padding that is added by default is now 150 sectors
	which is the required size of the track post gap on a CD.
  -	Inter partition paddin is now only choosen to make the next partition
	start on a sector number that is a multiple of 16.
  -	isoinfo now also prints root directory extent # in debug mode
  -	First step to allow mkisofs to support Kodak Photo CD and
	Kodak Picture CD format
  -	insoinfo now prints the ISO-9660 directory flags.
  -	Now using character code translation for 8 Bit characters that
	are used with -iso-level 4 (ISO-9660-1999).
Cdrecord:
  -	Workaround for broken Firmware for LG (Lucky Goldstar) drives.
  -	Man page now correctly describes the data formats used with -xa1 & -xa2
  -	Trying to catch SIGHUP to aviod hung recorders after people close X windows by accident
  -	Trying to print hints if the SCSI error core looks like a buffer underrun occured.
  -	First TAO writing support for the Matsushita CW-7501
  -	New option -setdropts to allow cdrecord to set driver specific parameters and exit.
  -	Added support to disable/enable the Plextor PowerRec feature. Use driveropts=forcespeed
  -	Added support to enable/disable the Plextor SpeedRead feature. Use driveropts=speedread
  -	Added support to enable/disable the Plextor SingleSession feature. Use driveropts=singlesession
  -	Added support to enable/disable the Plextor Hide CD-R feature. Use driveropts=hidecdr
  -	Added reading out "real" Burn-Proof counter for Plextor drives.
  -	Try to do a more correct job when doing Buffer Underun estimation counts.
  -	Make the explicit Buffer underrun error checking work for Plextor drives too.
  -	Fixed the command line parser for driveropts= parameters.
  -	Now also supporting SAO/DAO write mode for the CW-7501
  -	New option -lock (similar to -load) that loads the media but leaves the drive in locked status.
  -	New driver interface to allow SAO recording for the CW-7501
  -	Removed the internal implication that -packet is a TAO write mode.
Readcd:
  -	First (hacky) implementation of a way to meter the read speed
	as a function of the disk location modeled after a idea from
	Markus Plail <cdrecord@gitteundmarkus.de>
	Call:
		readcd dev=b,t,l meshpoints=1000 > outfile
	then
		gnuplot
		gnuplot> plot "outfile" w l   or    replot "outfile" w l
Cdda2wav (By Heiko Eifeldt heiko@hexco.de):
  -	old Toshiba's usable again
  -	Multisession Non-CD-Extra disks now work again
	Now also a lot more broken disks are readable again.

* Mon Jan 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-2mdk
- add cdda2ogg

* Thu Dec 26 2002 Warly <warly@mandrakesoft.com> 3:2.0-1mdk
- new version

* Wed Nov 27 2002 Warly <warly@mandrakesoft.com> 3:1.11-0.a40.1mdk
- new version

* Wed Nov 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.11-0.a39.2mdk
- Fix %%doc, make it lib64 aware
- Add correct RULES links for x86-64 and ia64

* Fri Nov 15 2002 Warly <warly@mandrakesoft.com> 1.11-0.a39.1mdk
- new version

* Wed Oct 16 2002 Warly <warly@mandrakesoft.com> 1.11-0.a37.1mdk
- new version

* Thu Sep 12 2002 Warly <warly@mandrakesoft.com> 1.11-0.a33.1mdk
- new version

* Mon Sep  2 2002 Warly <warly@mandrakesoft.com> 1.11-0.a32.1mdk
- new version

* Mon Aug 26 2002 Warly <warly@mandrakesoft.com> 1.11-0.a31.1mdk
- new version

* Tue Aug 20 2002 Warly <warly@mandrakesoft.com> 1.11-0.a30.1mdk
- new version

* Wed Aug 14 2002 Warly <warly@mandrakesoft.com> 1.11-0.a29.2mdk
- add cdwriter group creation for cdrecord and cdda2wav

* Tue Aug 13 2002 Warly <warly@mandrakesoft.com> 1.11-0.a29.1mdk
- new version

* Wed Jul 31 2002 Warly <warly@mandrakesoft.com> 1.11-0.a28.1mdk
- new version

* Mon Jul 22 2002 Warly <warly@mandrakesoft.com> 1.11-0.a27.1mdk
- new version

* Wed Jul 17 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.11-0.a26.4mdk
- added missed readcd manpage to %%files list.

* Wed Jul 17 2002 Warly <warly@mandrakesoft.com> 1.11-0.a26.3mdk
- add a disclaimer on Joerg Schilling's request

* Mon Jul 15 2002 Warly <warly@mandrakesoft.com> 1.11-0.a26.2mdk
- fix dvd build

* Mon Jul  8 2002 Warly <warly@mandrakesoft.com> 1.11-0.a26.1mdk
- new version

* Mon Jun 03 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.11-0.a24.1mdk
- new release

* Mon May 13 2002 Warly <warly@mandrakesoft.com> 1.11-0.a23.1mdk
- new version

* Thu Apr 18 2002 Daouda LO <daouda@mandrakesoft.com> 1.11-0.a21.1mdk
- 1.11-0.a21.1mdk

* Thu Apr  4 2002 Warly <warly@mandrakesoft.com> 1.11-0.a20.1mdk
- new version

* Wed Mar 27 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.11-0.a19.1mdk
- new release
- alter spec file so that we've only one place to alter on update

* Wed Mar 27 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.11-0.a18.2mdk
- bzip2 sources
- let athlon optimised build be possible

* Wed Mar 20 2002 Warly <warly@mandrakesoft.com> 1.11-0.a18.1mdk
- new version

* Thu Feb 28 2002 Warly <warly@mandrakesoft.com> 1.11-0.a15.2mdk
- change mkisofs permission to standard ones

* Tue Feb 26 2002 Warly <warly@mandrakesoft.com> 1.11-0.a15.1mdk
- new version

* Tue Feb 12 2002 Warly <warly@mandrakesoft.com> 1.11-0.a14.1mdk
- new version

* Fri Feb  1 2002 Warly <warly@mandrakesoft.com> 1.11-0.a13.4mdk
- add new package cdrecord-dvdhack with DVD support

* Tue Jan 29 2002 Warly <warly@mandrakesoft.com> 1.11-0.a13.3mdk
- change cdda2wav to 755

* Mon Jan 28 2002 Warly <warly@mandrakesoft.com> 1.11-0.a13.2mdk
- change permission of cdda2wav to 6755 to make it works.

* Fri Jan 25 2002 Daouda LO <daouda@mandrakesoft.com> 1.11-0.a13.1mdk
- patch level a13

* Mon Jan  7 2002 Warly <warly@mandrakesoft.com> 1.11-0.a12.1mdk
- new version

* Thu Aug  2 2001 Warly <warly@mandrakesoft.com> 1.10-2mdk
- real version of mkisofs

* Tue Apr 24 2001 Warly <warly@mandrakesoft.com> 1.10-1mdk
- 1.10

* Tue Apr 10 2001 Warly <warly@mandrakesoft.com> 1.10-0.1.a18mdk
- devel version

* Fri Mar 02 2001 Francis Galiegue <fg@mandrakesoft.com> 1.9-5mdk

- Fix build on ia64

* Mon Jan 29 2001 Daouda Lo <daouda@mandrakesoft.com> 1.9-4mdk
- back to version 1.9 ("xcdroast don't work for OTHER VERSION than 1.9 ")-> big warly sux.
  
* Sat Sep  2 2000 Till Kamppeter <till@mandrakesoft.com> 1.9-3mdk
- To make X-CD-Roast 0.98 working for non-root users made following
  executables SGID cdwriter:

    readcd
    mkisofs
    mkhybrid

  and the following both SUID root and SGID cdwriter

    cdrecord
    cdda2wav

  All these executable access to /dev/scd? and /dev/sg? devices which
  are accessable for the group cdwriter. cdrecord and cdda2wav have real
  time scheduling and memory locking capabilities which needs them running
  SUID root. The author of these programs has implemented security measures
  to run this programs safely with these privileges.
- Set permissions so that the user who wants to burn must be member of
  "cdwriter" group.

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9-2mdk
- change version of sub package mkisofs since it has been upgraded

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9-1mdk
- new release, BM

* Fri Jun  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.8.1-4mdk
- Fix buffer overflow (yoann).

* Mon May 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.8.1-3mdk
- no more nasty i686-pc-linux-gnu, now uses %{ _target_cpu } 
- fixed some file not found

* Wed May 03 2000 Warly <warly@mandrakesoft.com> 1.8.1-2mdk
- add serial for upgrade

* Thu Apr 27 2000 Warly <warly@mandrakesoft.com> 1.8.1-1mdk
- 1.8.1

* Tue Apr 4 2000 Warly <warly@mandrakesoft.com> 1.8.1a03-2mdk
- correct group, remove the other 

* Sat Mar 25 2000 Warly <warly@mandrakesoft.com> 1.8.1a03-1mdk
- new group: Archiving/Other/Cd burning 
- 1.8.1a03

* Thu Mar  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.8a29-5mdk
- Remove ugly mknod in %post, move them to dev package (#78).
- Remove ugly groupadd in %pre already in setup package (#78)

* Fri Jan 14 2000 Francis Galiegue <francis@mandrakesoft.com>

- one-liner fix to libscg/scg/scgcmd.h
- gcc defines __sparc__, not __sparc nor sparc

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Grhh fix building as user.

* Sun Nov 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Mon Sep 20 1999 Bernhard Rosenkrnzer <bero@linux-mandrake.com>
- 1.8a29
- Prereq /usr/sbin/groupadd

* Mon Sep 13 1999 Daouda LO <daouda@mandrakesoft.com>
- 1.8a27

* Sat Aug 14 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.de>
- 1.8a24

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- mkisofs was missing a Summary line...

* Fri Jul 16 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.de>
- 1.8a23

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- inc %release just to be safe

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- cdrecord should be sgid
- out of the rpm ready devices

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environement (VER: 3mdk).

* Mon May 17 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 1.8a22
- Make use of group cdwriter (as introduced in xcdroast)
- move device creation here (used to be in xcdroast, which is nonsense).
- spec fixes
- add xcdroast (-x) patch to mkisofs

* Sat May 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 1.8a20

* Wed Mar 10 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- 1.8a19
- create mkisofs and cdda2wav packages, add readcd to main RPM

* Sun Feb 7 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- 1.8a16

* Tue Dec 8 1998 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- start with FM release 1
- bzip2 man page

* Mon Nov 30 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.8a13-1]
- Updated to 1.8a1
- NEW features of cdrecord-1.8a13:
- First Advent: First separate scg library ;-)
	Currently only the low level and mid level transport stuff
- corrected error detection code in scsierrs.c to fix
	- missing NULL ptr at end of CCS error table
	- <= -> < problem for invalid sense code vs. vendor uniqe sense code

* Fri Nov 27 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.8a12-1]
- Updated to 1.8a12
- NEW features of cdrecord-1.8a12:
- Fixed a typo in scsitransp.c that prevented compilation
	on some Linux releases.

* Wed Nov 25 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.8a11-1]
- Upadted to 1.8a11
- Got patch from Jrg Schilling <schilling@fokus.gmd.de>
  to compile on linux.
- NEW features of cdrecord-1.8a11:
- Starting with official support for SCO Openserver 5
	NOTE: You will need to have a CD in the closed tray of the 
	drive otherwise cdrecord is not able to open the device.
- Fixed a bug in scsi-sco.c that prevented compilation.
- Added DEFAULTS files for SCO
- Fixed the autoconf detection stuff for major()/minor()
- Fixed the autoconf detection stuff for not working mlockall() on SCO/HP-UX
- Fixed mkisofs-1.12b4/diag/isoinfo.c to allow compilation on SCO
- New S_IS*() macros to allow compilation on OS/2 with missing S_IFBLK
- Added a static configuration for VMS
- Some fixes that are needed for VMS
- Added a file cdrecord/build_all.com to compile cdrecord on VMS
- Fixed isnan() code to fit SCO Openserver and VMS
- Incorporating now an experimental version of cdda2wav-0.95beta08
	Report problems to: heiko@colossus.escape.de
- NOTE: cdda2wav and mkisofs are not included in cdrecord rpm.

* Fri Nov 20 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.8a10-1]
- Updated to 1.8a10
